## libpeas 1.16.0

=== debian/changelog ===
libpeas (1.16.0-1ubuntu2) xenial; urgency=medium

  * Multiarchify the library packages. LP: #1508611.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Feb 2016 00:54:05 +0100

libpeas (1.16.0-1ubuntu1) xenial; urgency=medium

  * debian/control:
    - Split the Python 2 and Python 3 loader shared libraries into separate
      binary packages so that we can manage the libpython2.7 and libpython3.5
      dependencies individually.  This allows for better migration to Python
      3 only environments.  (LP: #1440504)
    - libpeas-1.0-0-python3loader, libpeas-1.0-0-python2-loader: New
      binary packages.
    - update-maintainer
  * debian/libpeas-1.0-0-python{2,3}loader.install: Added.
  * debian/libpeas-1.0-0.install: Modified.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 13 Jan 2016 14:30:56 -0500

libpeas (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/patches/0001-Fix-Python-plugin-loader-module-paths.patch
    - replace patch from gnome bugzilla with commit from upstream git.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 13:44:28 +0200

libpeas (1.14.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * Depend on adwaita-icon-theme for the test. This is GNOME's new default
    icon theme.

  [ Jackson Doak ]
  * New upstream release

  [ Andreas Henriksson ]
  * Fix Homepage url (breakage spotted by DUCK by skanz@d.o)

  [ Michael Biebl ]
  * Bump Build-Depends as per configure.ac.
  * Drop obsolete --disable-seed configure flag.
  * Update symbols file. Mark private symbols as optional.
  * Bump debhelper compatibility level to 9.
  * Drop obsolete Conflicts and Replaces from pre-wheezy.
  * Fix Python plugin loader module paths. Patch taken from bgo#753401.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Sep 2015 00:33:39 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libpeas
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 9),
               dh-autoreconf,
               dh-exec,
               gnome-pkg-tools,
               intltool (>= 0.40),
               gtk-doc-tools (>= 1.11),
               libglib2.0-dev (>= 2.38.0),
               libgladeui-dev,
               gobject-introspection (>= 1.39.0),
               libgirepository1.0-dev (>= 1.39.0),
               libgtk-3-dev (>= 3.0.0),
               python-dev (>= 2.5.2),
               python-gi-dev (>= 3.7.2),
               python3-dev (>= 3.2.0),
               adwaita-icon-theme,
               xvfb,
               xauth
Standards-Version: 3.9.5
Section: libs
Homepage: https://wiki.gnome.org/Projects/Libpeas
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libpeas/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libpeas/

Package: libpeas-1.0-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeas-common
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-1.0-0-python3loader
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeas-common
Breaks: libpeas-1.0-0 (<< 1.16.0-1ubuntu1)
Replaces: libpeas-1.0-0 (<< 1.16.0-1ubuntu1)
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.
 This packages contains the Python 3 loader shared library.

Package: libpeas-1.0-0-python2loader
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeas-common
Breaks: libpeas-1.0-0 (<< 1.16.0-1ubuntu1)
Replaces: libpeas-1.0-0 (<< 1.16.0-1ubuntu1)
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.
 This package contains the Python 2 loader shared library.

Package: libpeas-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libpeas-1.0-0 (= ${binary:Version}),
         gir1.2-peas-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.38.0),
         libgirepository1.0-dev (>= 1.39.0),
         libgtk-3-dev (>= 3.0.0)
Suggests: libpeas-doc
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

Package: libpeas-doc
Section: doc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas.

Package: libpeas-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Description: Application plugin library (common files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_AUTORECONF_ARGS = "NOCONFIGURE=yes gnome-autogen.sh"

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
                             --enable-python2 \
                             --enable-python3

DEB_MAKE_CHECK_TARGET =

build/libpeas-1.0-0::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR) xvfb-run $(MAKE) check
endif

DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/libpeas-1.0/

# don't configure with --libdir, but move the files manually, because
# other locations in /usr/lib/ must not change.
common-install-impl::
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/*.so* \
	   debian/tmp/usr/lib/girepository-1.0 \
	   debian/tmp/usr/lib/pkgconfig \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

binary-post-install/libpeas-doc::
	# remove compiled python and libtool .la files
	find debian/$(cdbs_curpkg) -name '*.pyo' -delete
	find debian/$(cdbs_curpkg) -name '*.pyc' -delete
	find debian/$(cdbs_curpkg) -name '__pycache__' -delete
	find debian/$(cdbs_curpkg) -name '*.la' -delete

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libpeas/([\d\.]+[02468])/libpeas-([\d\.]+)\.tar\.xz

## libpeas 1.18.0

=== debian/changelog ===
libpeas (1.18.0-3) unstable; urgency=medium

  * Convert to multiarch. (Closes: #815727)
  * Add some Conflicts/Replaces/Provides for the benefit of users
    transitioning from Ubuntu's different loader split.

 -- Iain Lane <laney@debian.org>  Tue, 05 Jul 2016 10:21:20 +0100

libpeas (1.18.0-2) unstable; urgency=medium

  * Add Build-Depends-Package meta-tags to symbols file.
  * Split out python2 loader in a separate package (Closes: #806824)
  * Use --fail-missing when installing package files.
  * Bump Standards-Version to 3.9.8

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Apr 2016 10:17:52 +0200

libpeas (1.18.0-1) experimental; urgency=medium

  [ Hideki Yamane ]
  * debian/watch
    - adjust to new upstream URL

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/0001-Fix-Python-plugin-loader-module-paths.patch
    - merged upstream.
  * Bump Standards-Version to 3.9.7
  * Append '-V -- -c4' to dh makeshlib args.
    - prevents package being built with auto-generated symbols file.
  * Update debian/libpeas-1.0-0.symbols with three additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Apr 2016 15:47:48 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libpeas
Priority: extra
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools,
               intltool (>= 0.40),
               gtk-doc-tools (>= 1.11),
               libglib2.0-dev (>= 2.38.0),
               libgladeui-dev,
               gobject-introspection (>= 1.39.0),
               libgirepository1.0-dev (>= 1.39.0),
               libgtk-3-dev (>= 3.0.0),
               python-dev (>= 2.5.2),
               python-gi-dev (>= 3.7.2),
               python3-dev (>= 3.2.0),
               adwaita-icon-theme,
               xvfb,
               xauth
Standards-Version: 3.9.8
Section: libs
Homepage: https://wiki.gnome.org/Projects/Libpeas
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libpeas/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libpeas/

Package: libpeas-1.0-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeas-common
# Keep python3loader below until May 2018 so Ubuntu can stay in sync
Conflicts: libpeas-1.0-0-python3loader
Replaces: libpeas-1.0-0-python3loader
Provides: libpeas-1.0-0-python3loader
Multi-Arch: same
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-1.0-python2loader
Section: oldlibs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeas-1.0-0 (= ${binary:Version}),
         libpeas-common
Breaks: libpeas-1.0-0 (<< 1.8.0-2)
# Keep python2loader below until May 2018 so Ubuntu can stay in sync
Conflicts: libpeas-1.0-0-python2loader
Replaces: libpeas-1.0-0 (<< 1.8.0-2), libpeas-1.0-0-python2loader
Provides: libpeas-1.0-0-python2loader
Multi-Arch: same
Description: Application plugin library (Python 2 support)
 libpeas is a library that allows applications to support plugins.
 This package contains the Python 2 loader shared library.
 .
 If your plugin is written in Python 2, please consider porting it to
 Python 3 and drop the dependency on this package.
 .
 This package exists only for backwards-compatibility with plugins
 that have not yet been ported. It should be considered deprecated.

Package: libpeas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpeas-1.0-0 (= ${binary:Version}),
         gir1.2-peas-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.38.0),
         libgirepository1.0-dev (>= 1.39.0),
         libgtk-3-dev (>= 3.0.0)
Suggests: libpeas-doc
Multi-Arch: same
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

Package: libpeas-doc
Section: doc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas.

Package: libpeas-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Application plugin library (common files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Multi-Arch: same
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -11,25 +11,19 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
                              --enable-python2 \
-                             --enable-python3
+                             --enable-python3 \
+                             --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 DEB_MAKE_CHECK_TARGET =
+
+DEB_DH_INSTALL_ARGS = --fail-missing -X.la -X.pyc
 
 build/libpeas-1.0-0::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	HOME=$(CURDIR) xvfb-run $(MAKE) check
 endif
 
-DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/libpeas-1.0/
-
-# don't configure with --libdir, but move the files manually, because
-# other locations in /usr/lib/ must not change.
-common-install-impl::
-	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/tmp/usr/lib/*.so* \
-	   debian/tmp/usr/lib/girepository-1.0 \
-	   debian/tmp/usr/lib/pkgconfig \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-1.0/ -V -- -c4
 
 binary-post-install/libpeas-doc::
 	# remove compiled python and libtool .la files

## libpeas 1.20.0

=== debian/changelog ===
libpeas (1.20.0-1) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump to dh compat 10 (automatic dh-autoreconf)
  * Add explicit gnome-common build-dependency (Closes: #837844)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 19:15:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Priority: extra
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
+               gnome-common,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
                libglib2.0-dev (>= 2.38.0),

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	NOCONFIGURE=yes dh_autoreconf gnome-autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-python2 \
		--enable-python3

override_dh_makeshlibs:
	dh_makeshlibs -p libpeas-1.0-0 \
		-X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-1.0/ -V -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
	# remove compiled python and libtool .la files
	find debian/tmp \( \
		-name '*.la' -o -name '*.pyc' -o -name '*.pyo' \
		\) -delete
	rm -rf debian/tmp/usr/lib/*/peas-demo/plugins/*/__pycache__
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	HOME=$(CURDIR) xvfb-run $(MAKE) check
endif

## libpeas 1.22.0

=== debian/changelog ===
libpeas (1.22.0-4) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:31:54 -0500

libpeas (1.22.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.2.1
  * Drop Conflicts/Replaces/Provides for Ubuntu's previous loader split
    not needed after Ubuntu 18.04 LTS

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Dec 2018 08:19:21 -0500

libpeas (1.22.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-peas-1.0 Provides gir1.2-peasgtk-1.0, reflecting the fact
    that it contains both Peas-1.0.typelib and PeasGtk-1.0.typelib
  * Bump priorities from extra to optional. Priority: extra is now
    deprecated.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 16:49:57 -0500

libpeas (1.22.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 11:01:40 -0400

libpeas (1.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 13:50:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libpeas
-Priority: extra
+Section: libs
+Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gnome-common,
                intltool (>= 0.40),
@@ -19,25 +20,19 @@
                python-dev (>= 2.5.2),
                python-gi-dev (>= 3.7.2),
                python3-dev (>= 3.2.0),
-               adwaita-icon-theme,
-               xvfb,
-               xauth
-Standards-Version: 3.9.8
-Section: libs
+               adwaita-icon-theme <!nocheck>,
+               xvfb <!nocheck>,
+               xauth <!nocheck>
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas
+Vcs-Git: https://salsa.debian.org/gnome-team/libpeas.git
 Homepage: https://wiki.gnome.org/Projects/Libpeas
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libpeas/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libpeas/
 
 Package: libpeas-1.0-0
-Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libpeas-common
-# Keep python3loader below until May 2018 so Ubuntu can stay in sync
-Conflicts: libpeas-1.0-0-python3loader
-Replaces: libpeas-1.0-0-python3loader
-Provides: libpeas-1.0-0-python3loader
 Multi-Arch: same
 Description: Application plugin library
  libpeas is a library that allows applications to support plugins.
@@ -50,10 +45,6 @@
          libpeas-1.0-0 (= ${binary:Version}),
          libpeas-common
 Breaks: libpeas-1.0-0 (<< 1.8.0-2)
-# Keep python2loader below until May 2018 so Ubuntu can stay in sync
-Conflicts: libpeas-1.0-0-python2loader
-Replaces: libpeas-1.0-0 (<< 1.8.0-2), libpeas-1.0-0-python2loader
-Provides: libpeas-1.0-0-python2loader
 Multi-Arch: same
 Description: Application plugin library (Python 2 support)
  libpeas is a library that allows applications to support plugins.
@@ -84,6 +75,7 @@
 
 Package: libpeas-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -93,10 +85,9 @@
  This package contains the API reference for libpeas.
 
 Package: libpeas-common
-Section: libs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Multi-Arch: foreign
 Description: Application plugin library (common files)
  libpeas is a library that allows applications to support plugins.
  .
@@ -108,6 +99,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}
+Provides: gir1.2-peasgtk-1.0 (= ${binary:Version})
 Multi-Arch: same
 Description: Application plugin library (introspection files)
  libpeas is a library that allows applications to support plugins.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	NOCONFIGURE=yes dh_autoreconf gnome-autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-python2 \
		--enable-python3

override_dh_makeshlibs:
	dh_makeshlibs -p libpeas-1.0-0 \
		-X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-1.0/ -- -c4
	dh_makeshlibs --remaining-packages

override_dh_install:
	# remove compiled python and libtool .la files
	find debian/tmp \( \
		-name '*.la' -o -name '*.pyc' -o -name '*.pyo' \
		\) -print -delete
	rm -rf debian/tmp/usr/lib/*/peas-demo/plugins/*/__pycache__
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	HOME=$(CURDIR) xvfb-run -a dh_auto_test

## libpeas 1.24.0

=== debian/changelog ===
libpeas (1.24.0-2ubuntu1) eoan; urgency=medium

  * Add fix-python2-loader-name.patch to fix Python 2 loader name.
    Fixes loading Python plugins in Pluma. (LP: #1846890)

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 07 Oct 2019 10:32:09 +0200

libpeas (1.24.0-2) experimental; urgency=medium

  * debian/rules:
    - strip -Wl,-Bsymbolic-functions from the build flags, fixes the
      build on Ubuntu where it's on by default

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:48:29 +0100

libpeas (1.24.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: update for switch to meson
  * debian/gbp.conf: Extend with common gnome settings
    - sign tags, postimport dch/debcommit, no patch numbers
  * Add meson to build-dependencies
  * Update symbols file
  * Use new filename of python(2) loader file when installing
    - libpythonloader.so is now called libpython2loader.so

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Sep 2019 21:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
                gnome-common,
+	       meson (>= 0.47.1),
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
                libglib2.0-dev (>= 2.38.0),

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,17 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
+# needed with the Ubuntu toolchain to avoid issues
+export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
+
 %:
 	dh $@ --with gnome,gir
 
-override_dh_autoreconf:
-	NOCONFIGURE=yes dh_autoreconf gnome-autogen.sh
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-gtk-doc \
-		--enable-python2 \
-		--enable-python3
+		-Dgtk_doc=true \
+		-Dpython2=true \
+		-Dpython3=true
 
 override_dh_makeshlibs:
 	dh_makeshlibs -p libpeas-1.0-0 \

## libpeas 1.24.1

=== debian/changelog ===
libpeas (1.24.1-2) experimental; urgency=medium

  * debian/control.in:
    - Build-Depends on python2-dev instead of python-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Jan 2020 11:08:09 +0200

libpeas (1.24.1-1) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
  * New upstream release
    - Revert name of Python 2 loader from python2 to python, fixing a
      regression in pluma (LP: #1846890)

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Dec 2019 17:45:24 +0000

libpeas (1.22.0-5) unstable; urgency=medium

  * Team upload
  * Build-depend on python-gi and python3-gi, in addition to
    python-gi-dev.
    python-gi-dev is going to drop its dependency on python-gi to make
    it easier to track which packages are still using Python 2.
    Also add an explicit dependency on python3-gi for symmetry, and in
    case the python3-gi dependency is later dropped for a Python 4
    transition. (Closes: #947249)
  * d/tests: Add superficial autopkgtests
  * d/gbp.conf: Use debian/unstable branch while 1.24.x is in experimental
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Dec 2019 16:32:13 +0000

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,15 @@
                gobject-introspection (>= 1.39.0),
                libgirepository1.0-dev (>= 1.39.0),
                libgtk-3-dev (>= 3.0.0),
-               python-dev (>= 2.5.2),
+               python2-dev (>= 2.5.2),
+               python-gi (>= 3.7.2),
                python-gi-dev (>= 3.7.2),
                python3-dev (>= 3.2.0),
+               python3-gi (>= 3.7.2),
                adwaita-icon-theme <!nocheck>,
                xvfb <!nocheck>,
                xauth <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas
 Vcs-Git: https://salsa.debian.org/gnome-team/libpeas.git
 Homepage: https://wiki.gnome.org/Projects/Libpeas

=== debian/tests/control ===
Tests: libpeas-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libpeas-dev, pkg-config

Tests: libpeas-1.0-python2loader
Restrictions: allow-stderr, superficial
Depends: gir1.2-peas-1.0, libpeas-1.0-python2loader, python2, python-gi

Tests: python3
Restrictions: allow-stderr, superficial
Depends: gir1.2-peas-1.0, python3, python3-gi

## libpeas 1.26.0

=== debian/changelog ===
libpeas (1.26.0-2) unstable; urgency=medium

  * Tests: Drop tests for python2 loader

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Mar 2020 14:33:16 +0100

libpeas (1.26.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Drop libpeas-1.0-python2loader (Closes: #936900)

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields:
    - Bug-Database, Bug-Submit, Name, Repository, Repository-Browse.

  [ Andreas Henriksson ]
  * Build-dep on dh-sequence-gir and dh-sequence-gnome

  [ Laurent Bigonville ]
  * New upstream release (Closes: #953348)
  * debian/control.in: Add libglib2.0-doc, libgirepository1.0-doc and
    libgtk-3-doc so the links between documentation are properly resolved
  * debian/libpeas-1.0-0.symbols: Add newly exported symbols
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/contron.in: Mark libpeas-doc with Build-profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 21:16:07 +0100

## libpeas 1.28.0

=== meson_options.txt ===
option('lua51',
       type: 'boolean', value: true,
       description: 'Enable Lua 5.1 support (requires lua-lgi)')

option('python2',
       type: 'boolean', value: false,
       description: 'Enable Python 2 support (requires pygobject)')
option('python3',
       type: 'boolean', value: true,
       description: 'Enable Python 3 support (requires pygobject)')

option('introspection',
       type: 'boolean', value: true,
       description: 'Generate introspection data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: false,
       description: 'Generate vapi data (requires vapigen)')

option('widgetry',
       type: 'boolean', value: true,
       description: 'Build GTK+ widgetry (requires gtk+)')
option('glade_catalog',
       type: 'boolean', value: true,
       description: 'Install Glade catalog (requires gladeui)')

option('demos',
       type: 'boolean', value: true,
       description: 'Build demo programs')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gtk-doc)')

=== debian/changelog ===
libpeas (1.28.0-2) unstable; urgency=medium

  * Team upload
  * d/p/tests-Explicitly-depend-on-the-GIR-and-typelib.patch:
    Add patch to fix FTBFS with Meson 0.55.0 (Closes: #966951)

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Sep 2020 14:11:36 +0100

libpeas (1.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 21:37:32 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libpeas
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: adwaita-icon-theme <!nocheck>,
               debhelper-compat (= 12),
               dh-sequence-gir,
               dh-sequence-gnome,
               gnome-common,
               gtk-doc-tools (>= 1.11),
               intltool (>= 0.40),
               libgirepository1.0-dev (>= 1.39.0),
               libgirepository1.0-doc <!nodoc>,
               libgladeui-dev,
               libglib2.0-dev (>= 2.38.0),
               libglib2.0-doc <!nodoc>,
               libgtk-3-dev (>= 3.0.0),
               libgtk-3-doc <!nodoc>,
               meson (>= 0.47.1),
               python-gi-dev (>= 3.7.2),
               python3-dev (>= 3.2.0),
               python3-gi (>= 3.7.2),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas
Vcs-Git: https://salsa.debian.org/gnome-team/libpeas.git
Homepage: https://wiki.gnome.org/Projects/Libpeas

Package: libpeas-1.0-0
Architecture: any
Depends: libpeas-common, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-dev
Section: libdevel
Architecture: any
Depends: gir1.2-peas-1.0 (= ${binary:Version}),
         libgirepository1.0-dev (>= 1.39.0),
         libglib2.0-dev (>= 2.38.0),
         libgtk-3-dev (>= 3.0.0),
         libpeas-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libpeas-doc
Multi-Arch: same
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

Package: libpeas-doc
Section: doc
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!nodoc>
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas.

Package: libpeas-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Application plugin library (common files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: gir1.2-peasgtk-1.0 (= ${binary:Version})
Multi-Arch: same
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dgtk_doc=true \
-		-Dpython2=true \
+		-Dpython2=false \
 		-Dpython3=true
 
 override_dh_makeshlibs:

## libpeas 1.30.0

=== debian/changelog ===
libpeas (1.30.0-4deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:51:30 +0200

libpeas (1.30.0-4) unstable; urgency=medium

  * debian/rules: Set the timeout multiplier for the tests to 6
  * debian/rules: Do not run the tests when the nocheck build option is set

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 Sep 2021 17:26:15 +0200

libpeas (1.30.0-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Drop unneeded build-Depends on intltool and gnome-common
  * debian/rules: clean up unneeded lines
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 20:37:42 -0400

libpeas (1.30.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/patches/tests-Explicitly-depend-on-the-GIR-and-typelib.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 09:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: adwaita-icon-theme <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gnome-common,
                gtk-doc-tools (>= 1.11),
-               intltool (>= 0.40),
                libgirepository1.0-dev (>= 1.39.0),
                libgirepository1.0-doc <!nodoc>,
                libgladeui-dev,
@@ -21,7 +19,7 @@
                libglib2.0-doc <!nodoc>,
                libgtk-3-dev (>= 3.0.0),
                libgtk-3-doc <!nodoc>,
-               meson (>= 0.47.1),
+               meson (>= 0.50),
                python-gi-dev (>= 3.7.2),
                python3-dev (>= 3.2.0),
                python3-gi (>= 3.7.2),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=true \
		-Dpython2=false \
		-Dpython3=true

override_dh_makeshlibs:
	dh_makeshlibs -p libpeas-1.0-0 \
		-X/usr/lib/$(DEB_HOST_MULTIARCH)/libpeas-1.0/ -- -c4
	dh_makeshlibs --remaining-packages

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a dh_auto_test -- --timeout-multiplier=6
endif

## libpeas 1.32.0

=== debian/changelog ===
libpeas (1.32.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on gi-docgen
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:19:22 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools (>= 1.11),
+               gi-docgen,
                libgirepository1.0-dev (>= 1.39.0),
                libgirepository1.0-doc <!nodoc>,
                libgladeui-dev,
@@ -25,7 +25,7 @@
                python3-gi (>= 3.7.2),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas
 Vcs-Git: https://salsa.debian.org/gnome-team/libpeas.git
 Homepage: https://wiki.gnome.org/Projects/Libpeas

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,4 @@
 	dh_makeshlibs --remaining-packages
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run -a dh_auto_test -- --timeout-multiplier=6
-endif

## libpeas 1.34.0

=== debian/changelog ===
libpeas (1.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:58:48 -0400

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas
 Vcs-Git: https://salsa.debian.org/gnome-team/libpeas.git
 Homepage: https://wiki.gnome.org/Projects/Libpeas

## libpeas 1.36.0

=== meson_options.txt ===
--- 
+++ 
@@ -8,6 +8,13 @@
 option('python3',
        type: 'boolean', value: true,
        description: 'Enable Python 3 support (requires pygobject)')
+
+option('python2_path',
+       type: 'string', value: '',
+       description: 'Path to Python 2.x interpreter (Windows only)')
+option('python3_path',
+       type: 'string', value: '',
+       description: 'Path to Python 3.x interpreter (Windows only)')
 
 option('introspection',
        type: 'boolean', value: true,
@@ -29,4 +36,4 @@
 
 option('gtk_doc',
        type: 'boolean', value: false,
-       description: 'Build reference manual (requires gtk-doc)')
+       description: 'Build reference manual (requires gi-docgen)')

=== debian/changelog ===
libpeas (1.36.0-8) unstable; urgency=medium

  * Team upload
  * d/control: Increase version of Breaks on eom and pluma.
    Version 1.28.0-1 of each package was uploaded to unstable, so we'll
    need a correspondingly newer upload with the changes for #1118496
    and #1118497.
  * Release to unstable (transition: #1118613) (Closes: #1118363)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Nov 2025 11:09:45 +0000

libpeas (1.36.0-7) experimental; urgency=medium

  * Team upload
  * d/control: Correct Breaks version on eog
  * d/control: Depend on a newer GLib, to ensure that #1099192 is fixed.
    Otherwise at least entangle would fail to load its typelib from the
    legacy pre-multiarch directory.
  * d/control: Add versioned Breaks on older entangle, eom and pluma.
    Patches are available for these packages.

 -- Simon McVittie <smcv@debian.org>  Thu, 23 Oct 2025 12:22:54 +0100

libpeas (1.36.0-6) experimental; urgency=medium

  * Team upload
  * d/p/deprecations-ignore-GParameter-deprecations.patch,
    d/p/build-handle-depending-on-development-releases-of-GLib.patch,
    d/p/girepository-port-libpeas-ABI-to-girepository.patch,
    d/p/peas-demo-add-gi.require_version-for-GTK-3.0.patch:
    Add patches from upstream 1.38.x branch to switch to
    libgirepository-2.0. This will allow us to move on from pygobject
    3.50.x. (Helps: #1099164, #1118363)
  * d/control: Give gir1.2-peas-1.0 a lockstep dependency on libpeas-1.0-0.
    Even though the ABI is the same, when porting apps we will want
    to be able to guarantee that a versioned dependency on a new
    gir1.2-peas-1.0 gives us a libpeas-1.0-0 that was compiled against
    libgirepository-2.0.
  * d/control: Add Breaks on older eog, gedit, rhythmbox, totem.
    These apps need source changes to be compatible with this new libpeas.
    - We will probably also need to add Breaks on eom and pluma, but for
      the moment I'm omitting those to make it easier for the MATE team to
      test those apps against experimental's libpeas and pygobject.
      Similarly, we might need to Breaks on endeavour and entangle later.
  * d/rules, d/p/debian/demo-Disable-Lua-loader.patch:
    Explicitly disable the Lua loader.
    lua-lgi is still based on libgirepository-1.0, so it is incompatible
    with moving pygobject and libpeas to libgirepository-2.0. In practice
    we weren't enabling that feature anyway, because Lua bindings are
    not in our Build-Depends (but it might have accidentally become
    enabled if building in a non-minimal environment).
  * d/copyright: Don't quote the FSF's former postal address here
  * Upload to experimental until we are ready to do the pygobject 3.54
    transition

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Oct 2025 13:37:14 +0100

libpeas (1.36.0-5) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev (build-)dependency with
    multiarch-compatible packages.
    Unusually, libpeas needs both gobject-introspection (for its own language
    bindings) and libgirepository-1.0-dev (because it directly calls into
    the libgirepository library).
  * d/control: Add missing Build-Depends on gir1.2-girepository-2.0-dev
  * d/control: Don't Build-Depend on -doc packages.
    gtk-doc needed this, but gi-docgen does not.
  * d/control, d/rules: Only require gi-docgen if building -doc packages
  * d/libpeas-doc.links: Register API reference with devhelp
  * d/libpeas-doc.doc-base.*: Register API reference with doc-base
  * d/rules: Run tests under the run-with-display script from gtk4.
    In particular, this instructs xvfb-run to pass the -noreset option to
    Xvfb, working around defaults that cause intermittent test failures
    (see #981201).

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Aug 2025 18:48:49 +0100

libpeas (1.36.0-4) unstable; urgency=medium

  * Stop building glade catalog support
  * Update gir packaging
  * debian/libpeas-1.0-0.symbols: Remove some obsolete "optional" symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 14:46:25 -0400

libpeas (1.36.0-3) unstable; urgency=medium

  * Stop using debian/control.in
  * debian/watch: Only watch for stable 1.x releases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Oct 2023 15:36:54 -0400

libpeas (1.36.0-2) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 13:18:26 -0400

libpeas (1.36.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.44.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:35:37 -0400

=== debian/control ===
Source: libpeas
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: adwaita-icon-theme <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-gio-2.0-dev (>= 2.86.0-7~),
               gir1.2-girepository-3.0-dev (>= 2.86.0-7~),
               gir1.2-gmodule-2.0-dev (>= 2.86.0-7~),
               gir1.2-gobject-2.0-dev (>= 2.86.0-7~),
               gir1.2-gtk-3.0-dev,
               gi-docgen <!nodoc>,
               gobject-introspection (>= 1.80),
               libgirepository-2.0-dev (>= 2.86.0-7~),
               libglib2.0-dev (>= 2.86.0-7~),
               libgtk-3-dev (>= 3.0.0),
               meson (>= 0.50),
               python-gi-dev (>= 3.52),
               python3-dev (>= 3.2.0),
               python3-gi (>= 3.52),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/libpeas
Vcs-Git: https://salsa.debian.org/gnome-team/libpeas.git
Homepage: https://wiki.gnome.org/Projects/Libpeas

Package: libpeas-1.0-0
Architecture: any
Depends: libpeas-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: entangle (<< 3.0-5.1~),
        eog (<< 47.0-4~),
        eom (<< 1.28.0-1.1~),
        gedit (<< 48.1-8~),
        pluma (<< 1.28.0-1.1~),
        python3-gi (<< 3.52),
        rhythmbox (<< 3.4.9-2~),
        totem (<< 43.2-7~),
Multi-Arch: same
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-dev
Section: libdevel
Architecture: any
Depends: libgirepository-2.0-dev (>= 2.86.0-7~),
         libglib2.0-dev (>= 2.86.0-7~),
         libgtk-3-dev (>= 3.0.0),
         libpeas-1.0-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libpeas-doc
Multi-Arch: same
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

Package: libpeas-doc
Section: doc
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <!nodoc>
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas.

Package: libpeas-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Application plugin library (common files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, libpeas-1.0-0 (= ${binary:Version}),
Provides: ${gir:Provides}
Multi-Arch: same
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/tests/control ===
Tests: libpeas-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libpeas-dev, pkg-config

Tests: python3
Restrictions: allow-stderr, superficial
Depends: gir1.2-peas-1.0, python3, python3-gi (>= 3.52)

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	1\.[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
